#!/bin/bash
#
echo "Started..."
#Started...
#
# special variable $# is the number of arguments
if [ $# -lt 2 ] ; then
    echo 'Call ./<script> <db name> <db user>'
    exit 1
fi
#
DB_NAME="$1"
echo "DB_NAME: $DB_NAME"
DB_USER="$2"
echo "DB_USER: $DB_USER"
#
psql -U $DB_USER -f ../vw_counties.sql -d $DB_NAME
psql -U $DB_USER -c 'DROP TABLE IF EXISTS public.tbl_counties;' -d $DB_NAME
psql -U $DB_USER -c 'CREATE TABLE tbl_counties AS SELECT * FROM vw_counties;' -d $DB_NAME
#
psql -U $DB_USER -f ../vw_municipalities.sql -d $DB_NAME
psql -U $DB_USER -c 'DROP TABLE IF EXISTS public.tbl_municipalities;' -d $DB_NAME
psql -U $DB_USER -c 'CREATE TABLE tbl_municipalities AS SELECT * FROM vw_municipalities;' -d $DB_NAME
#
psql -U $DB_USER -c 'DROP TABLE IF EXISTS public.tbl_poi CASCADE;' -d $DB_NAME
psql -U $DB_USER -f ../vw_poi.sql -d $DB_NAME
psql -U $DB_USER -c 'CREATE TABLE tbl_poi AS SELECT * FROM vw_poi;' -d $DB_NAME
#
psql -U $DB_USER -d $DB_NAME -f ../vw_export_poi.sql
#
psql -U $DB_USER -d $DB_NAME -c "COPY (SELECT * FROM public.vw_export_poi) TO STDOUT WITH DELIMITER AS ';' CSV  HEADER NULL '' QUOTE '\"';" -o /home/pacs/sib00/users/osm/osm_poi_rvb.csv
#
cp /home/pacs/sib00/users/osm/osm_poi_rvb.csv /home/pacs/sib00/users/osm/doms/osm.swingbe.de/subs-ssl/www/osm/poi_rvb.csv

#
echo "Done."
#done.
